Bug 1122216 - Review Request: nodejs-core-util-is - The util.is functions introduced in Node v0.12
Summary: Review Request: nodejs-core-util-is - The util.is functions introduced in Nod...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: nodejs-reviews 1122233
TreeView+ depends on / blocked
 
Reported: 2014-07-22 19:04 UTC by Ralph Bean
Modified: 2015-01-08 16:24 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-23 18:48:52 UTC
panemade: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Ralph Bean 2014-07-22 19:04:12 UTC
Spec URL: http://ralph.fedorapeople.org//nodejs-core-util-is.spec
SRPM URL: http://ralph.fedorapeople.org//nodejs-core-util-is-1.0.1-1.fc20.src.rpm

Description:
The util.is functions introduced in Node v0.12.

Comment 1 Parag AN(पराग) 2014-07-23 09:06:45 UTC
Review:

+ mock build is successful for f22

+ rpmlint output on rpms gave
nodejs-core-util-is.noarch: W: only-non-binary-in-usr-lib
2 packages and 0 specfiles checked; 0 errors, 1 warnings.

+ Source verified with upstream as (sha256sum)
srpm tarball     :1a3250e48db786b1935b387d0df5ae8e4a237555207d36f4345b06725cc5f192
upstream tarball :1a3250e48db786b1935b387d0df5ae8e4a237555207d36f4345b06725cc5f192

+ License "MIT" is valid and is included in its source file.

+ rest looks following packaging guidelines.

Suggestions:
1) No testing related lines available so remove empty lines 4-5.

APPROVED.

Comment 2 Ralph Bean 2014-07-23 14:03:08 UTC
New Package SCM Request
=======================
Package Name: nodejs-core-util-is
Short Description: The util.is functions introduced in Node v0.12
Upstream URL: https://npmjs.org/package/core-util-is
Owners: ralph
Branches: f21,f20,f19,epel7
InitialCC:

Comment 3 Gwyn Ciesla 2014-07-23 16:53:29 UTC
Git done (by process-git-requests).

Comment 4 Fedora Update System 2014-07-23 18:46:59 UTC
nodejs-core-util-is-1.0.1-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/nodejs-core-util-is-1.0.1-1.fc20

Comment 5 Fedora Update System 2014-07-23 18:47:09 UTC
nodejs-core-util-is-1.0.1-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/nodejs-core-util-is-1.0.1-1.fc19

Comment 6 Ralph Bean 2014-07-23 18:48:52 UTC
Buildroot overrides have been created.

Comment 7 Fedora Update System 2014-08-15 02:33:21 UTC
nodejs-core-util-is-1.0.1-1.fc20 has been pushed to the Fedora 20 stable repository.

Comment 8 Fedora Update System 2014-08-15 02:41:04 UTC
nodejs-core-util-is-1.0.1-1.fc19 has been pushed to the Fedora 19 stable repository.

Comment 9 Parag Nemade 2015-01-08 15:34:48 UTC
Package Change Request
======================
Package Name: nodejs-core-util-is
New Branches: el6
Owners: pnemade

Comment 10 Parag Nemade 2015-01-08 15:41:17 UTC
Forgot to add that POC of this package has approved for above request see https://bugzilla.redhat.com/show_bug.cgi?id=1179942#c4

Comment 11 Gwyn Ciesla 2015-01-08 16:24:36 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.